(define-module (glicid packages cluster)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (gnu packages networking)
  #:use-module ((gnu packages cluster)
                #:prefix gnu:)
  #:use-module (glicid utils))

(define-public keepalived-upstream-2.2.8
  (package
    (inherit gnu:keepalived)
    (name "keepalived-upstream")
    (version "2.2.8")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "http://www.keepalived.org/software/keepalived-" version
                    ".tar.gz"))
              (sha256
               (base32
                "1dhvg9x976k4nnygxyv2gr55jfd88459kgiiqva9bwvl56v2x245"))))))


(define-public keepalived-upstream-2.3.1
  (package
    (inherit gnu:keepalived)
    (name "keepalived-upstream")
    (version "2.3.1")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "http://www.keepalived.org/software/keepalived-" version
                    ".tar.gz"))
              (sha256
               (base32
                "18raqq15xxf5hlrqhk39prq9xdfiv9px2nlrs43273lrzndvdx4j"))))))


(define local:keepalived
  keepalived-upstream-2.3.1)
(define keepalived-latest
  (latest-version local:keepalived gnu:keepalived))

(define-public keepalived-glicid
  (package
    (inherit keepalived-latest)
    (name "keepalived-glicid")
    (version (string-append (package-version keepalived-latest) "-glicid"))
    (arguments
     `(#:configure-flags (list (string-append "--enable-snmp")
                               (string-append "--enable-snmp-checker")
                               (string-append "--enable-snmp-rfc"))))
    (inputs (modify-inputs (package-inputs keepalived-latest)
              (prepend net-snmp)))))
