(define-module (glicid packages fabric-management)
  #:use-module (guix download)
  #:use-module (guix packages)
  #:use-module ((gnu packages fabric-management)
                #:prefix gnu:)
  #:use-module (glicid packages linux)
  #:use-module (glicid utils)

  )

(define-public ucx-upstream-1.11.2
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-upstream"))
    (version "1.11.2")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "https://github.com/openucx/ucx/releases/download/v"
                    version "/ucx-" version ".tar.gz"))
              (sha256
               (base32
                "1py62vjr0hgyqsdpr04jhn918i8ccn6ghjalwpcjpz24admgisyy"))))))

(define-public ucx-upstream-1.12.0
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-upstream"))
    (version "1.12.0")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "https://github.com/openucx/ucx/releases/download/v"
                    version "/ucx-" version ".tar.gz"))
              (sha256
               (base32
                "1djxsakwjwnw21hhzsr02w6h2jd2k16bm4pah4iz6k8s5pg99sck"))))))

(define-public ucx-upstream-1.12.1
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-upstream"))
    (version "1.12.1")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "https://github.com/openucx/ucx/releases/download/v"
                    version "/ucx-" version ".tar.gz"))
              (sha256
               (base32
                "13mf30gdcqix8dyi0iwnsd5fn8b0syr03042y99s556swz44gd20"))))))

(define-public ucx-upstream-1.13.0
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-upstream"))
    (version "1.13.0")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "https://github.com/openucx/ucx/releases/download/v"
                    version "/ucx-" version ".tar.gz"))
              (sha256
               (base32
                "0gay9qsyz5ia68sakq1dakvk3sblh4fawnwzg09q2y723zr82f4a"))))))

(define-public ucx-upstream-1.13.1
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-upstream"))
    (version "1.13.1")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "https://github.com/openucx/ucx/releases/download/v"
                    version "/ucx-" version ".tar.gz"))
              (sha256
               (base32
                "0j05k71vqiry9gyi3v4a1s06w6v922klca2w31g71qq0qyb2yjic"))))))

(define-public ucx-upstream-1.14.0
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-upstream"))
    (version "1.14.0")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "https://github.com/openucx/ucx/releases/download/v"
                    version "/ucx-" version ".tar.gz"))
              (sha256
               (base32
                "1pdg51p4ir0v1dm8lx15l3y1plm3zjn9l16xvplyqpfyb4h5xncv"))))))

(define-public ucx-upstream-1.15.0
  (package
    (inherit gnu:ucx)
    (name (string-append (package-name gnu:ucx) "-upstream"))
    (version "1.15.0")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "https://github.com/openucx/ucx/releases/download/v"
                    version "/ucx-" version ".tar.gz"))
              (sha256
               (base32
                "0vfsxcxcpadsji7l0vyasj5ai3ks4w64y529ja7wkhbb0y3j082b"))))))




(define local-ucx  ucx-upstream-1.15.0)
(define-public ucx-latest (latest-version local-ucx gnu:ucx))

(define-public ucx-latest-rdma
  (transform-package ((instead-of "rdma-core" rdma-core-latest)
                      ucx-latest) "rdma"))

(define-public ucx-latest-glicid
  (transform-package ((instead-of "libfabric" libfabric-latest)
                      ucx-latest-rdma) "glicid"))
