(define-module (glicid packages gcc)
  #:use-module (guix packages)
  #:use-module (gnu packages commencement) ; for make-gcc-toolchain
  #:use-module (gnu packages gcc) ; for gcc-11
  )

;; beware : access to internal functions… this is probably not the right way to do it …

(define custom-gcc
  (@@ (gnu packages gcc) custom-gcc))
(define %generic-search-paths
  (@@ (gnu packages gcc) %generic-search-paths))

;; now define-public normally hiden versions

(define-public gfortran-12
  (hidden-package (custom-gcc gcc-12 "gfortran"
                              '("fortran") %generic-search-paths)))
(define make-gcc-toolchain 
    (@@ (gnu packages commencement) make-gcc-toolchain )) ; discouraged, find better alternative



(define-public gfortran-toolchain-12
  (package
    (inherit (make-gcc-toolchain gfortran-12))
    (synopsis "Complete GCC tool chain for fortran lang development")
    (description
     "This package provides a complete GCC tool chain for
                  fortran lang development to be installed in user profiles.  This includes
                  fortran, as well as libc (headers and binaries, plus debugging symbols
                  in the @code{debug} output), and binutils.")))

(define-public gfortran-13
  (hidden-package (custom-gcc gcc-13 "gfortran"
                              '("fortran") %generic-search-paths)))


(define-public gfortran-toolchain-13
  (package
    (inherit (make-gcc-toolchain gfortran-13))
    (synopsis "Complete GCC tool chain for fortran lang development")
    (description
     "This package provides a complete GCC tool chain for
                  fortran lang development to be installed in user profiles.  This includes
                  fortran, as well as libc (headers and binaries, plus debugging symbols
                  in the @code{debug} output), and binutils.")))


(define-public gfortran-14
  (hidden-package (custom-gcc gcc-14 "gfortran"
                              '("fortran") %generic-search-paths)))


(define-public gfortran-toolchain-14
  (package
    (inherit (make-gcc-toolchain gfortran-14))
    (synopsis "Complete GCC tool chain for fortran lang development")
    (description
     "This package provides a complete GCC tool chain for
                  fortran lang development to be installed in user profiles.  This includes
                  fortran, as well as libc (headers and binaries, plus debugging symbols
                  in the @code{debug} output), and binutils.")))




(define-public gfortran-11
  (hidden-package (custom-gcc gcc-11 "gfortran"
                              '("fortran") %generic-search-paths)))

(define-public gfortran-toolchain-11
  (package
    (inherit (make-gcc-toolchain gfortran-11))
    (synopsis "Complete GCC tool chain for fortran lang development")
    (description
     "This package provides a complete GCC tool chain for
                  fortran lang development to be installed in user profiles.  This includes
                  fortran, as well as libc (headers and binaries, plus debugging symbols
                  in the @code{debug} output), and binutils.")))

;; gfortran@10 and gfortran-toolchain@10 are defaults 

;(define-public gfortran-10
;  (hidden-package (custom-gcc gcc-10 "gfortran"
;                              '("fortran") %generic-search-paths)))

;(define-public gfortran-toolchain-10
;  (package
;    (inherit (make-gcc-toolchain gfortran-10))
;    (synopsis "Complete GCC tool chain for fortran lang development")
;    (description
;     "This package provides a complete GCC tool chain for
;                  fortran lang development to be installed in user profiles.  This includes
;                  fortran, as well as libc (headers and binaries, plus debugging symbols
;                  in the @code{debug} output), and binutils.")))


(define-public gfortran-9
  (hidden-package (custom-gcc gcc-9 "gfortran"
                              '("fortran") %generic-search-paths)))

(define-public gfortran-toolchain-9
  (package
    (inherit (make-gcc-toolchain gfortran-9))
    (synopsis "Complete GCC tool chain for fortran lang development")
    (description
     "This package provides a complete GCC tool chain for
                  fortran lang development to be installed in user profiles.  This includes
                  fortran, as well as libc (headers and binaries, plus debugging symbols
                  in the @code{debug} output), and binutils.")))

(define-public gfortran-8
  (hidden-package (custom-gcc gcc-8 "gfortran"
                              '("fortran") %generic-search-paths)))

(define-public gfortran-toolchain-8
  (package
    (inherit (make-gcc-toolchain gfortran-8))
    (synopsis "Complete GCC tool chain for fortran lang development")
    (description
     "This package provides a complete GCC tool chain for
                  fortran lang development to be installed in user profiles.  This includes
                  fortran, as well as libc (headers and binaries, plus debugging symbols
                  in the @code{debug} output), and binutils.")))
