(define-module (glicid packages perf-monitoring)
  #:use-module (guix)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix build-system cmake)
  #:use-module (gnu packages)
  #:use-module (gnu packages ncurses)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages linux)
  #:use-module (gnu packages xdisorg)
  #:use-module ((guix licenses) #:prefix license:)
  #:export (nvtop))

(package
(name "nvtop")
(version "3.0.2")
(source
    (origin
    (method url-fetch)
    (uri (string-append "https://github.com/Syllo/nvtop/archive/refs/tags/" version ".tar.gz"))
    (file-name (string-append name "-" version ".tar.gz"))
    (sha256
        (base32
        "005f9dsaf3w0nck1r0h9mznv4svav8bc4l28f0h57zkmssi4byk3"))))
(build-system cmake-build-system)
(arguments
    `(#:tests? #f  ; No tests available
    #:configure-flags '("-DNVIDIA_SUPPORT=ON" "-DINTEL_SUPPORT=ON" "-DAMDGPU_SUPPORT=ON" "-DMSM_SUPPORT=ON")
    )
)
(inputs
    `(("ncurses" ,ncurses)
    ("pkg-config" ,pkg-config)
    ("eudev" ,eudev)
    ("libdrm" , libdrm)
    ))
(home-page "https://github.com/Syllo/nvtop")
(synopsis "NVIDIA GPUs htop like monitoring tool")
(description "Nvtop is a htop-like monitoring tool for NVIDIA GPUs. It can show a quick overview of the GPU usage and the list of processes using the GPU.")
(license license:expat)

)
