(define-module (glicid packages python-science)
  #:use-module (guix download)
  #:use-module (guix packages)
  #:use-module (guix build-system python)
  #:use-module ((guix licenses)
                #:prefix license:)
  #:use-module (gnu packages python-xyz)
  #:use-module (gnu packages python-crypto)
  #:use-module (gnu packages python-build)
  #:use-module (gnu packages check)
  #:use-module (gnu packages geo)
  #:use-module (gnu packages python-check))

(define-public python-snuggs
  (package
    (name "python-snuggs")
    (version "1.4.7")
    (source (origin
              (method url-fetch)
              (uri (pypi-uri "snuggs" version))
              (sha256
               (base32
                "0yv1wayrw9g6k0c2f721kha7wsv0s1fdlxpf5x7f34iqzq9z272h"))))
    (build-system python-build-system)
    (propagated-inputs (list python-numpy python-pyparsing))
    (native-inputs (list python-hypothesis python-pytest))
    (home-page "https://github.com/mapbox/snuggs")
    (synopsis "Snuggs are s-expressions for Numpy")
    (description "Snuggs are s-expressions for Numpy")
    (license license:expat)))

(define-public python-affine
  (package
    (name "python-affine")
    (version "2.3.1")
    (source (origin
              (method url-fetch)
              (uri (pypi-uri "affine" version))
              (sha256
               (base32
                "1l5x66jdrlhaxp9fllkjzfq3bz4xx1a0yknrzycszmks2mkdwxnn"))))
    (build-system python-build-system)
    (native-inputs (list python-coveralls python-flake8 python-pydocstyle
                         python-pytest python-pytest-cov))
    (home-page "https://github.com/sgillies/affine")
    (synopsis "Matrices describing affine transformation of the plane.")
    (description "Matrices describing affine transformation of the plane.")
    (license license:bsd-3)))

;; un tout petit peu de modifications à faire ici

(define-public python-rasterio
  (package
    (name "python-rasterio")
    (version "1.3.4")
    (source (origin
              (method url-fetch)
              (uri (pypi-uri "rasterio" version))
              (sha256
               (base32
                "1a21k86g325ks0vllzn9ry6pf8gch45bs9z9iq5z1v3na90731ss"))))
    (build-system python-build-system)
    (arguments
     '(#:tests? #f))

    (propagated-inputs (list python-affine
                             python-attrs
                             python-certifi
                             python-click
                             python-click-plugins
                             python-cligj
                             python-numpy
                             python-setuptools
                             python-snuggs))
    (native-inputs (list python-boto3
                         python-hypothesis
                         python-packaging
                         python-pytest
                         python-pytest-cov
                         python-cython
                         gdal
                         python-shapely))
    (home-page "https://github.com/rasterio/rasterio")
    (synopsis "Fast and direct raster I/O for use with Numpy and SciPy")
    (description "Fast and direct raster I/O for use with Numpy and SciPy")
    (license license:bsd-3)))
