(define-module (glicid packages python-xyz)
               #:use-module (guix build-system python)
               #:use-module (guix build-system pyproject) 
               #:use-module (guix download)
               #:use-module (guix packages)
               #:use-module ((guix licenses) #:prefix license:)
	       #:use-module (gnu packages version-control)
               #:use-module (gnu packages python-web)
               #:use-module (gnu packages check)
               #:use-module (gnu packages python-build)
               #:use-module (gnu packages serialization)
               #:use-module (gnu packages python-xyz)
               #:use-module (gnu packages containers)
               #:use-module (gnu packages linux)
               )

(define-public python-pynetbox
               (package
                 (name "python-pynetbox")
                 (version "7.0.1")
                 (source (origin
                           (method url-fetch)
                           (uri (pypi-uri "pynetbox" version))
                           (sha256 (base32 "16ps9zgcjzyzn95lry277741i8php4ci3plsyd2vqxd57havba7b"))))
                 (build-system python-build-system)
                 (inputs (list python-setuptools-scm python-pytest ))
                 (propagated-inputs (list python-requests))
                 (home-page "https://github.com/netbox-community/pynetbox")
                 (synopsis "NetBox API client library")
                 (description "NetBox API client library")
                 (license #f)))

(define-public python-jinja2
               (package
                 (name "python-jinja2")
                 (version "3.1.2")
                 (source (origin
                           (method url-fetch)
                           (uri (pypi-uri "Jinja2" version))
                           (sha256 (base32 "0lp86yadzf8dph67f6g3yxmvnhrzzi863z58jmsrx2j059q1ld9i"))))
                 (build-system python-build-system)
                 (propagated-inputs (list python-markupsafe))
                 (home-page "https://palletsprojects.com/p/jinja/")
                 (synopsis "A very fast and expressive template engine.")
                 (description
                   "This package provides a very fast and expressive template engine.")
                 (license #f)))

(define-public python-pyyaml
               (package
                 (name "python-pyyaml")
                 (version "6.0")
                 (source (origin
                           (method url-fetch)
                           (uri (pypi-uri "PyYAML" version))
                           (sha256 (base32 "18imkjacvpxfgg1lbpraqywx3j7hr5dv99d242byqvrh2jf53yv8"))))
                 (build-system python-build-system)
                 (inputs (list libyaml python-cython))
                 (home-page "https://pyyaml.org/")
                 (synopsis "YAML parser and emitter for Python")
                 (description "YAML parser and emitter for Python")
                 (license license:expat)))

(define-public python-setuptools-scm
               (package
                 (name "python-setuptools-scm")
                 (version "7.1.0")
                 (source (origin
                           (method url-fetch)
                           (uri (pypi-uri "setuptools_scm" version))
                           (sha256
                             (base32
                               "09wg4zg30ir1c2cvwqipaz3hwaxz503fgw5zdvaxgakilx2q6l3c"))))
                 (build-system python-build-system)
                 (propagated-inputs (list python-importlib-metadata python-packaging
                                          python-setuptools python-tomli
                                          python-typing-extensions))
                 (native-inputs (list python-pytest python-virtualenv))
                 (home-page "https://github.com/pypa/setuptools_scm/")
                 (synopsis "the blessed package to manage your versions by scm tags")
                 (description "the blessed package to manage your versions by scm tags")
                 (license license:expat)))

(define-public python-podman-compose
 (package
  (name "podman-compose")
  (version "1.0.6")
  (source
   (origin
     (method url-fetch)
     (uri (pypi-uri "podman-compose" version))
     (sha256
      (base32 "1rd29mysfdlbvn0m9zfyp2n0v5lch0bsj4fmzyjaal6akw23bcid"))))
  (build-system pyproject-build-system)
  (propagated-inputs (list python-dotenv python-pyyaml slirp4netns iptables))
  (native-inputs (list python-black python-flake8 python-pre-commit
                       python-pylint))
  (home-page "https://github.com/containers/podman-compose")
  (synopsis "A script to run docker-compose.yml using podman")
  (description
   "This package provides a script to run docker-compose.yml using podman")
  (license #f))
)





