(define-module (glicid packages ssh)
               #:use-module (guix packages)
               #:use-module (guix download)
               #:use-module (guix git-download)
               #:use-module (guix build-system gnu)
               #:use-module (guix build-system cmake)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module (gnu packages)
               #:use-module (gnu packages ssh)
               #:use-module (gnu packages hurd)
               #:use-module (gnu packages tls)
               #:use-module (gnu packages compression)
               #:use-module (gnu packages pkg-config)
               #:use-module (gnu packages linux)
               #:use-module ((gnu packages ssh) #:prefix gnu:)
               #:use-module (gnu packages security-token)
               )

(define-public openssh
               (package
                 (inherit gnu:openssh)
                 (name "openssh")
                 (version "9.2p1")
                 (source (origin
                           (method url-fetch)
                           (uri (string-append "mirror://openbsd/OpenSSH/portable/openssh-" version ".tar.gz"))
                           (patches (search-patches "openssh-hurd.patch"
                                                    "openssh-trust-guix-store-directory.patch"))
                           (sha256 (base32 "0ingf6fxzg2fcf6k68bvh0lc460jn0macvf5w585zd2zcpqxnriz"))))))
