(define-module (glicid packages storage))

(use-modules (guix packages)
             (guix git-download)
	     (guix download)
;             (guix utils)
             (gnu packages)
             (gnu packages storage)
             (gnu packages crypto)
             (gnu packages python-xyz) ; wcwidth
             (gnu packages linux) ; liburing
)

(define-public ceph-upstream
  (package
    (inherit ceph)
    (name "ceph-upstream")
;    (version "17.2.7releasetag")
    (version "17.2.7")
;    (source (origin

;             (method git-fetch)
;              (uri (git-reference
;                    (url "https://github.com/ceph/ceph.git")
;                    (commit "b12291d110049b2f35e32e0de30d70e9a4c060d2") ;; last version 20240906
;;                    (branch "quincy")
;                     
;                    (recursive? #t)))
;               (file-name version)
  (source (origin
              (method url-fetch)
              (uri (string-append "https://download.ceph.com/tarballs/ceph-"
                                  version ".tar.gz"))

              (sha256
               (base32
                "1612424yrf39dz010ygz8k5x1vc8731549ckfj1r39dg00m62klp"))
              (patches
               (search-patches
                "ceph-disable-cpu-optimizations.patch"))
              (modules '((guix build utils)))
              (snippet
               '(for-each delete-file-recursively
                          '(;; TODO: Unbundle these:
                            "src/arrow"
                            ;;"src/isa-l"
                            ;;"src/lua"
                            ;;"src/xxHash"
                            ;;"src/zstd"
                            ;;"src/civetweb"
                            "src/c-ares"
                            "src/fmt"
                            "src/googletest"
                            "src/rapidjson"
                            "src/spdk"
                            "src/rocksdb"
;                            "src/boost" ; inexistant ??
                            "src/utf8proc")))))

    (inputs (modify-inputs (package-inputs ceph) (append liburing libxcrypt)))
    (native-inputs (modify-inputs (package-native-inputs ceph)
                                                 (append python-wcwidth)))))

